import { Input } from 'enquirer';
import { StringOptionConfig } from '../../SubConfigs';
import { InteractiveSubSource } from './InteractiveSubSource';

export class StringSubSource extends InteractiveSubSource {
  protected condition ():boolean {
    return [
      'string',
      'file',
      'folder',
      'path',
      'number'
    ].includes (this.val.type_validation.option_type)
    && typeof (this.opt as StringOptionConfig).preset === 'undefined';
  }

  protected async run ():Promise<void> {
    await this.val.assign_arg (
      this.opt,
      await new Input ({
        message: this.get_message (),
        default: this.opt.default
      })
        .run ()
    );
  }
}
